// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// UserGetSelfOKCode is the HTTP code returned for type UserGetSelfOK
const UserGetSelfOKCode int = 200

/*UserGetSelfOK A successful response.

swagger:response userGetSelfOK
*/
type UserGetSelfOK struct {

	/*
	  In: Body
	*/
	Payload *models.SelfUserResponse `json:"body,omitempty"`
}

// NewUserGetSelfOK creates UserGetSelfOK with default headers values
func NewUserGetSelfOK() *UserGetSelfOK {

	return &UserGetSelfOK{}
}

// WithPayload adds the payload to the user get self o k response
func (o *UserGetSelfOK) WithPayload(payload *models.SelfUserResponse) *UserGetSelfOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get self o k response
func (o *UserGetSelfOK) SetPayload(payload *models.SelfUserResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetSelfOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*UserGetSelfDefault An unexpected error response

swagger:response userGetSelfDefault
*/
type UserGetSelfDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserGetSelfDefault creates UserGetSelfDefault with default headers values
func NewUserGetSelfDefault(code int) *UserGetSelfDefault {
	if code <= 0 {
		code = 500
	}

	return &UserGetSelfDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user get self default response
func (o *UserGetSelfDefault) WithStatusCode(code int) *UserGetSelfDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user get self default response
func (o *UserGetSelfDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user get self default response
func (o *UserGetSelfDefault) WithPayload(payload *models.Error) *UserGetSelfDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get self default response
func (o *UserGetSelfDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetSelfDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
